Last Comment Bug 556530 - move Talos from cvs into Mercurial
: move Talos from cvs into Mercurial
Status: RESOLVED FIXED
[talos]
:
Product: Testing
Classification: Components
Component: Talos (show other bugs)
: unspecified
: All All
: P5 normal (vote)
: ---
Assigned To: alice nodelman [:alice] [:anode]
:
Mentors:
Depends on: 595002 595007
Blocks: 467683 releng-downtime 596132 598507
  Show dependency treegraph
 
Reported: 2010-04-01 07:59 PDT by John Ford [:jhford]
Modified: 2010-10-04 07:48 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
download talos per run as zip from build server (1.05 KB, patch)
2010-09-09 16:20 PDT, alice nodelman [:alice] [:anode]
catlee: review+
Details | Diff | Splinter Review
[checked in] download talos per run as zip from build server (take 2) (1.78 KB, patch)
2010-09-13 16:03 PDT, alice nodelman [:alice] [:anode]
catlee: review+
Details | Diff | Splinter Review

Description John Ford [:jhford] 2010-04-01 07:59:19 PDT
I am noticing a lot of N900s failing their testing runs because of CVS being killed midstream or failing to start.

I have imported talos using the mercurial convert extension by doing:

1. enable convert extension by adding this to ~/.hgrc
[extensions]
hgext.convert=

2. created a mapping file for usernames (this is not an exhaustive list)
cat > authors << EOF
anodelman%mozilla.com=Alice Nodelman <alice@mozilla.com>
catlee%mozilla.com=Chris AtLee <catlee@mozilla.com>
lsblakk%mozilla.com=Lukas Blakk <lblakk@mozilla.com>
asasaki%mozilla.com=Aki Sasaki <asasaki@mozilla.com>
EOF

3. check out talos and pageloader
cvs -d :pserver:anonymous@63.245.209.14:/cvsroot co -d talos mozilla/testing/performance/talos
cvs -d :pserver:anonymous@63.245.209.14:/cvsroot co -d pageloader mozilla/layout/tools/pageloader

4. convert CVS -> HG
hg convert --authors=authors talos
hg convert --authors=authors pageloader

5. push to my user repository
hg push ssh://hg.mozilla.org/users/jford_mozilla.com/talos
hg push ssh://hg.mozilla.org/users/jford_mozilla.com/pageloader

6. Copy+modify generate-tpcomponent to work with this format

I have merged the pageloader and talos to form one repository at 
http://hg.mozilla.org/users/jford_mozilla.com/talos-tp-merged

to do this I cloned my talos repository, cloned my pageloader into the talos dir, rm -rf .hg .hgtags in pageloader dir.  I copied the generate-tpcomponent.py script into the talos directory and modified it to work without needing a seperate checkout of pageloader


I don't know if we care about history.  If we don't, instead of doing the hg convert we could do

cd talos
find -name CVS -exec rm -rf {} \;
hg addremove
Comment 1 alice nodelman [:alice] [:anode] 2010-05-03 16:22:41 PDT
This is mostly dependent upon having hg installed on all talos slaves.
Comment 2 Aki Sasaki [:aki] 2010-05-03 16:26:23 PDT
We probably need Aravind (or somebody) to port the CVS commit hook to an hg hook.
But, yes please :)
Comment 3 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2010-05-04 14:59:18 PDT
(In reply to comment #1)
> This is mostly dependent upon having hg installed on all talos slaves.

aiui, installing hg on all the new rev3 talos slaves has been done as part of bug#548768.
Comment 4 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2010-06-03 13:43:48 PDT
From reading comment#0, it seems like this bug is about taking existing talos and pageloader code checked into cvs, and moving it to hg. Tweaking summary to match.

Moving this bug to Testing:General. Once this is fixed, please file a separate bug in mozilla.org/ReleaseEngineering for us to change our automation to pull from hg instead of cvs.
Comment 5 alice nodelman [:alice] [:anode] 2010-06-08 16:08:54 PDT
Moving to Talos component.
Comment 6 alice nodelman [:alice] [:anode] 2010-09-09 16:20:44 PDT
Created attachment 473801 [details] [diff] [review]
download talos per run as zip from build server

Just need a zip of the talos code on the build server.

This gets us away from a dependency of having hg installed on all talos slaves.
Comment 7 alice nodelman [:alice] [:anode] 2010-09-09 16:21:59 PDT
Pageloader already in hg repo, updating summary to indicate as such.
Comment 8 Chris AtLee [:catlee] 2010-09-09 16:27:01 PDT
Comment on attachment 473801 [details] [diff] [review]
download talos per run as zip from build server

easy peasy!  needs testing before landing.
Comment 9 Chris AtLee [:catlee] 2010-09-10 06:17:48 PDT
(In reply to comment #8)
> Comment on attachment 473801 [details] [diff] [review]
> download talos per run as zip from build server
> 
> easy peasy!  needs testing before landing.

also, we can get rid of references to cvsRoot.
Comment 10 alice nodelman [:alice] [:anode] 2010-09-13 15:21:23 PDT
Initial push to http://hg.mozilla.org/build/talos/ complete.

I did convert history and updated all the user names.  Looks okay to me.
Comment 11 alice nodelman [:alice] [:anode] 2010-09-13 16:03:25 PDT
Created attachment 474890 [details] [diff] [review]
[checked in] download talos per run as zip from build server (take 2)
Comment 12 alice nodelman [:alice] [:anode] 2010-09-13 16:59:40 PDT
Staging overnight to ensure that everything works correctly.
Comment 13 alice nodelman [:alice] [:anode] 2010-09-14 14:48:58 PDT
Comment on attachment 474890 [details] [diff] [review]
[checked in] download talos per run as zip from build server (take 2)

Going green in staging.
Comment 14 Ben Hearsum (:bhearsum) 2010-10-04 07:39:28 PDT
I'm seeing jobs pulling Talos from the .zip now. All done here?
Comment 15 Ben Hearsum (:bhearsum) 2010-10-04 07:48:19 PDT
Comment on attachment 474890 [details] [diff] [review]
[checked in] download talos per run as zip from build server (take 2)

a71cf27a8478

Note You need to log in before you can comment on or make changes to this bug.